aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/issue687/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/gna/issue687/testsuite.sh')
-rwxr-xr-xtestsuite/gna/issue687/testsuite.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/testsuite/gna/issue687/testsuite.sh b/testsuite/gna/issue687/testsuite.sh
new file mode 100755
index 000000000..2c71a7534
--- /dev/null
+++ b/testsuite/gna/issue687/testsuite.sh
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+export GHDL_STD_FLAGS=--std=08
+
+check_output()
+{
+ if ! grep -q "bound check failure" $1; then
+ echo "missing bound check failure"
+ exit 1
+ fi
+}
+
+analyze ent.vhdl
+elab_simulate_failure tb > tb.err
+check_output tb.err
+
+clean
+
+analyze ent_ok.vhdl
+elab_simulate tb
+
+clean
+
+analyze ent2.vhdl
+elab_simulate_failure tb > tb.err
+check_output tb.err
+
+clean
+
+analyze ent3.vhdl
+elab_simulate_failure tb > tb.err
+check_output tb.err
+
+clean
+
+analyze ent4.vhdl
+elab_simulate_failure tb > tb.err
+check_output tb.err
+
+clean
+
+rm -f tb.err
+
+echo "Test successful"